### Class

# WPEWebKit FormSubmissionRequest

since: 2.0

#### Description [src]

    final class WPEWebKit.FormSubmissionRequest : GObject.Object
    {
      /* No available fields */
    }

Represents a form submission request.

When a form is about to be submitted in a `WebKitWebView`, the `WebKitWebView::submit-form` signal is emitted. Its request argument contains information about the text fields of the form, that are typically used to store login information, returned as lists by webkit_form_submission_request_list_text_fields(). You can submit the form with webkit_form_submission_request_submit().

Available since: 2.0

#### Ancestors

- GObject

#### Instance methods

###### webkit_form_submission_request_list_text_fields

Get lists of the text fields contained in the form associated to `request`.

since: 2.20

###### webkit_form_submission_request_submit

Continue the form submission.

since: 2.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct WPEWebKitFormSubmissionRequestClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.